Package org.kie.api.management

## Interface KieBaseConfigurationMonitorMBean

-     public interface KieBaseConfigurationMonitorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAlphaNodeHashingThreshold()` | Deprecated.
    `java.lang.String` | `getAssertBehaviour()` |
    `int` | `getCompositeKeyDepth()` | Deprecated.
    `java.lang.String` | `getEventProcessingMode()` |
    `int` | `getMaxThreads()` | Deprecated.
    `java.lang.String` | `getSequentialAgenda()` | Deprecated.
    `boolean` | `isAdvancedProcessRuleIntegration()` |
    `boolean` | `isIndexLeftBetaMemory()` | Deprecated.
    `boolean` | `isIndexRightBetaMemory()` | Deprecated.
    `boolean` | `isMaintainTms()` | Deprecated.
    `boolean` | `isMBeansEnabled()` |
    `boolean` | `isMultithreadEvaluation()` | Deprecated.
    `boolean` | `isRemoveIdentities()` |
    `boolean` | `isSequential()` | Deprecated.
    `boolean` | `isShareAlphaNodes()` | Deprecated.
    `boolean` | `isShareBetaNodes()` | Deprecated.

- - ### Method Detail

    - #### getAlphaNodeHashingThreshold

          @Deprecated
          int getAlphaNodeHashingThreshold()

      Deprecated.

    - #### getAssertBehaviour

          java.lang.String getAssertBehaviour()

    - #### getCompositeKeyDepth

          @Deprecated
          int getCompositeKeyDepth()

      Deprecated.

    - #### getEventProcessingMode

          java.lang.String getEventProcessingMode()

    - #### getMaxThreads

          @Deprecated
          int getMaxThreads()

      Deprecated.

    - #### getSequentialAgenda

          @Deprecated
          java.lang.String getSequentialAgenda()

      Deprecated.

    - #### isAdvancedProcessRuleIntegration

          boolean isAdvancedProcessRuleIntegration()

    - #### isIndexLeftBetaMemory

          @Deprecated
          boolean isIndexLeftBetaMemory()

      Deprecated.

    - #### isIndexRightBetaMemory

          @Deprecated
          boolean isIndexRightBetaMemory()

      Deprecated.

    - #### isMaintainTms

          @Deprecated
          boolean isMaintainTms()

      Deprecated.

    - #### isMBeansEnabled

          boolean isMBeansEnabled()

    - #### isMultithreadEvaluation

          @Deprecated
          boolean isMultithreadEvaluation()

      Deprecated.

    - #### isRemoveIdentities

          boolean isRemoveIdentities()

    - #### isSequential

          @Deprecated
          boolean isSequential()

      Deprecated.

    - #### isShareAlphaNodes

          @Deprecated
          boolean isShareAlphaNodes()

      Deprecated.

    - #### isShareBetaNodes

          @Deprecated
          boolean isShareBetaNodes()

      Deprecated.